Subject: Re: PROBLEM: 2.6.11-rc2 hangs on bridge shutdown (br0)

From: Andre Tomt <[email-masked]>
Date: Sun, 06 Feb 2005 11:55:19 +0100

Herbert Xu wrote:
> On Fri, Feb 04, 2005 at 09:38:13PM -0800, David S. Miller wrote:
> 
>>It is just the first such thing I found, scanning rt6i_idev uses
>>will easily find several others.
> 
> 
> You're right of course.  I thought they were all harmless but I was
> obviously wrong about this one.
> 
> So here is a patch that essentially reverts the split devices
> semantics introduced by these two changesets:
> 
>   [IPV6] addrconf_dst_alloc() to allocate new route for local address.
>   [IPV6] take rt6i_idev into account when looking up routes.
> 
> Signed-off-by: Herbert Xu ~{PmV>HI~} <[email-masked]>

Now that this fix have been written off as probably wrong; how much does 
it break? As far as I've understood it "just" reverts to old semantics, 
probably not correct semantics, but still not unexpected semantics 
(like, say, hang on device unregistration ;) )

I'm contemplating just using it as a quick-fix until 2.6.11 to get this 
problem under control.